Logstash 1.4.2 RPM Creation (auto-dependencies)

Description

I've tried to create a simple RPM using the logstash 1.4.2 tarball and have been unsuccessful in eliminating the following auto-dependencies that rpmbuild has placed on my package. Not sure why it would require the following, seeing as how it is all inclusive. What concerns me is the jbruby and ruby references.

Requires: /bin/bash /bin/sh /home/jls/.rvm/rubies/jruby-1.7.12/bin/jruby /usr/bin/env /usr/bin/ruby

I've included the spec file, it's really quite simple. I'm pretty sure I'm missing something small.

Activity

Show:
Jordan Sissel
February 7, 2015, 12:08 AM

We ship rpms for Logstash already. If these are insufficient, we are eager to see what we can improve.

Documentation: http://logstash.net/docs/1.4.2/repositories

If find our packages insufficient, I welcome you to file an issue at our new ticket tracker https://github.com/elasticsearch/logstash/issues

Assignee

Logstash Developers

Reporter

Rob Cantrell

Labels

Affects versions

Configure